Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003022KdenliveFile Loadingpublic2013-03-19 23:542013-04-07 08:45
Reportertc 
Assigned Toj-b-m 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformAMD64OSDebianOS Versiontesting+sid
Product Version0.8.2.1 
Target VersionFixed in Version0.9.6 
Summary0003022: Unable to load any clip file
DescriptionI'm working with kdenlive for years. I run Debian 'testing'. After the last update, some 7 days ago, kdenlive could not load any clip file anymore. It says 'Clip <name missing> is invalid.' and refuses to load. Interestingly, the name is missing here, but it is listed correctly in the text box of that error window.
I tried this with many different files and formats, which all used to work.
To me it appears as if kdenlive can not read the file content anymore.

See commandline launch log below: This was done by launching from commandline, loading 'test.avi' (which is a short mjpeg) and quitting. The final bulk of error lines (like
 kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW") get repeated over and over. In all of that output, the file name (test.avi) does not occur once !

This happened after updating Deian testing. I tried to resolve by updating to Debian unstable, which demanded different versions of libmlt, but it's just the same and apparently libmlt should not be involved at all. It rather seems to be a KDE (kio) incompatibility.

Other KDE apps run fine as usual (like K3B burner or Konqueror).

I was able to add color or title clips. AT some point, after much experiments, i was able to add 'test.avi' but it could not be added to the timeline. Instead, the clip was shown with indefinity 'loading...' in the clip list.




Steps To ReproduceLaunch
Add clip -> (choose clip)
Additional Information(I marked one line with XXX)

Launching from commandline:

/tmp mi: kdenlive
project monitor connected
clip monitor connected
QWidget::insertAction: Attempt to insert null action
QWidget::insertAction: Attempt to insert null action
kdenlive(5885)/kdecore (KSycoca) KSycocaPrivate::openDatabase: Trying to open ksycoca from "/var/tmp/kdecache-micha/ksycoca4"
kdenlive(5885)/kio (bookmarks) KBookmarkManager::KBookmarkManager: starting KDirWatch for "/home/micha/.local/share/user-places.xbel"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("trash:/")
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x30c6090)
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "trash"
kdenlive(5885)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 2 m_maxConnectionsPerHost: 2
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x3142a90)
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::protoQ: creating ProtoQueue instance for "file"
kdenlive(5885)/kio (Scheduler) KIO::ProtoQueue::ProtoQueue: m_maxConnectionsTotal: 5 m_maxConnectionsPerHost: 5
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::listDir: Entry currently being listed: KUrl("trash:/") by (KDirLister(0x2044240) )
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x3189d40) url= KUrl("trash:/")
kdenlive(5885)/kio (Slave) KIO::Slave::createSlave: createSlave "trash" for KUrl("trash:/")
kdenlive(5885)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on "local:/tmp/ksocket-micha/kdenliveFW5885.slave-socket"
kdenlive(5885)/kio (Slave) KIO::Slave::createSlave: createSlave "file" for KUrl("file:///tmp/" [^])
kdenlive(5885)/kio (KIOConnection) KIO::ConnectionServer::listenForRemote: Listening on "local:/tmp/ksocket-micha/kdenlivebw5885.slave-socket"
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x3142a90) KIO::Slave(0x317c1e0)
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::listDir: Listing directory: KUrl("file:///tmp" [^])
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x319e5e0)
kdenlive(5885) KSambaSharePrivate::findSmbConf: KSambaShare: Could not find smb.conf!
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::ListJob(0x319e5e0) KIO::Slave(0x317c1e0)
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotResult: finished listing KUrl("file:///tmp" [^])
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::ListJob(0x30c6090) KIO::Slave(0x3149550)
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotResult: finished listing KUrl("trash:/")
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::doJob: KIO::SimpleJob(0x31658f0)
kdenlive(5885)/kio (Scheduler) KIO::SchedulerPrivate::jobFinished: KIO::StatJob(0x31658f0) KIO::Slave(0x317c1e0)
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x30d50e0) url= KUrl("file:///tmp" [^])
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x30d50e0) url= KUrl("file:///tmp" [^])
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::forgetDirs: KDirLister(0x30d50e0) item moved into cache: KUrl("file:///tmp" [^])
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::stopListingUrl: KDirLister(0x2044240) url= KUrl("trash:/")
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::forgetDirs: KDirLister(0x2044240) item moved into cache: KUrl("trash:/")
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
[NULL @ 0x7fc3b07087c0] Value 4707126720094797824.000000 for parameter 'probesize' out of range
[NULL @ 0x7fc3b07087c0] Value 4707126720094797824.000000 for parameter 'analyzeduration' out of range
[NULL @ 0x7fc3b07087c0] Value 4697254411347427328.000000 for parameter 'indexmem' out of range
[NULL @ 0x7fc3b07087c0] Value 4703785510416416768.000000 for parameter 'rtbufsize' out of range
[NULL @ 0x7fc3b07087c0] Value -4616189618054758400.000000 for parameter 'fpsprobesize' out of range
[NULL @ 0x7fc3b07087c0] Value 4607182418800017408.000000 for parameter 'f_err_detect' out of range
[NULL @ 0x7fc3b07087c0] Value 4607182418800017408.000000 for parameter 'err_detect' out of range
[AVI demuxer @ 0x7fc3b0485ea0] Value 4607182418800017408.000000 for parameter 'use_odml' out of range
[NULL @ 0x7fc3b04849c0] Value 4686111960511545344.000000 for parameter 'b' out of range
[NULL @ 0x7fc3b04849c0] Value 4683532506232782848.000000 for parameter 'ab' out of range
[NULL @ 0x7fc3b04849c0] Value 4705844345939427328.000000 for parameter 'bt' out of range
[NULL @ 0x7fc3b04849c0] Value 4617315517961601024.000000 for parameter 'me_method' out of range
[NULL @ 0x7fc3b04849c0] Value 4622945017495814144.000000 for parameter 'g' out of range
[NULL @ 0x7fc3b04849c0] Value 4611686018427387904.000000 for parameter 'qmin' out of range
[NULL @ 0x7fc3b04849c0] Value 4629418941960159232.000000 for parameter 'qmax' out of range
[NULL @ 0x7fc3b04849c0] Value 4613937818241073152.000000 for parameter 'qdiff' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'wpredp' out of range
[NULL @ 0x7fc3b04849c0] Value 4607182418800017408.000000 for parameter 'bug' out of range
[NULL @ 0x7fc3b04849c0] Value 4607182418800017408.000000 for parameter 'er' out of range
[NULL @ 0x7fc3b04849c0] Value 4607182418800017408.000000 for parameter 'err_detect' out of range
[NULL @ 0x7fc3b04849c0] Value 4613937818241073152.000000 for parameter 'ec' out of range
[NULL @ 0x7fc3b04849c0] Value 4620693217682128896.000000 for parameter 'ildctcmp' out of range
[NULL @ 0x7fc3b04849c0] Value 4620693217682128896.000000 for parameter 'subq' out of range
[NULL @ 0x7fc3b04849c0] Value 4696837138094751744.000000 for parameter 'ibias' out of range
[NULL @ 0x7fc3b04849c0] Value 4696837138094751744.000000 for parameter 'pbias' out of range
[NULL @ 0x7fc3b04849c0] Value 4642507528377204736.000000 for parameter 'lmin' out of range
[NULL @ 0x7fc3b04849c0] Value 4660262442142531584.000000 for parameter 'lmax' out of range
[NULL @ 0x7fc3b04849c0] Value 4696130710463840256.000000 for parameter 'flags2' out of range
[NULL @ 0x7fc3b04849c0] Value 4607182418800017408.000000 for parameter 'threads' out of range
[NULL @ 0x7fc3b04849c0] Value 4620693217682128896.000000 for parameter 'nssew' out of range
[NULL @ 0x7fc3b04849c0] Value -4586705114244317184.000000 for parameter 'profile' out of range
[NULL @ 0x7fc3b04849c0] Value -4586705114244317184.000000 for parameter 'level' out of range
[NULL @ 0x7fc3b04849c0] Value 4623507967449235456.000000 for parameter 'skipcmp' out of range
[NULL @ 0x7fc3b04849c0] Value 4642507528377204736.000000 for parameter 'mblmin' out of range
[NULL @ 0x7fc3b04849c0] Value 4660262442142531584.000000 for parameter 'mblmax' out of range
[NULL @ 0x7fc3b04849c0] Value 4643211215818981376.000000 for parameter 'mepc' out of range
[NULL @ 0x7fc3b04849c0] Value 4607182418800017408.000000 for parameter 'bidir_refine' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'cqp' out of range
[NULL @ 0x7fc3b04849c0] Value 4627730092099895296.000000 for parameter 'keyint_min' out of range
[NULL @ 0x7fc3b04849c0] Value 4607182418800017408.000000 for parameter 'refs' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'directpred' out of range
[NULL @ 0x7fc3b04849c0] Value 4618441417868443648.000000 for parameter 'sc_factor' out of range
[NULL @ 0x7fc3b04849c0] Value 4643211215818981376.000000 for parameter 'mv0_threshold' out of range
[NULL @ 0x7fc3b04849c0] Value 4630826316843712512.000000 for parameter 'b_sensitivity' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'compression_level' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'min_prediction_order' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'max_prediction_order' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'prediction_order_method' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'min_partition_order' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'max_partition_order' out of range
[NULL @ 0x7fc3b04849c0] Value 4607182418800017408.000000 for parameter 'ticks_per_frame' out of range
[NULL @ 0x7fc3b04849c0] Value 4611686018427387904.000000 for parameter 'color_primaries' out of range
[NULL @ 0x7fc3b04849c0] Value 4611686018427387904.000000 for parameter 'color_trc' out of range
[NULL @ 0x7fc3b04849c0] Value 4611686018427387904.000000 for parameter 'colorspace' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'aq_mode' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'rc_lookahead' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'lpc_type' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'lpc_passes' out of range
[NULL @ 0x7fc3b04849c0] Value 4613937818241073152.000000 for parameter 'thread_type' out of range
[NULL @ 0x7fc3b04849c0] Value -4616189618054758400.000000 for parameter 'request_sample_fmt' out of range
[avi @ 0x7fc3b07087c0] decoding for stream 0 failed
[avi @ 0x7fc3b07087c0] Could not find codec parameters (Video: mjpeg (MJPG / 0x47504A4D), 640x480)
[NULL @ 0x7fc3b0c266c0] Value 4707126720094797824.000000 for parameter 'probesize' out of range
[NULL @ 0x7fc3b0c266c0] Value 4707126720094797824.000000 for parameter 'analyzeduration' out of range
[NULL @ 0x7fc3b0c266c0] Value 4697254411347427328.000000 for parameter 'indexmem' out of range
[NULL @ 0x7fc3b0c266c0] Value 4703785510416416768.000000 for parameter 'rtbufsize' out of range
[NULL @ 0x7fc3b0c266c0] Value -4616189618054758400.000000 for parameter 'fpsprobesize' out of range
[NULL @ 0x7fc3b0c266c0] Value 4607182418800017408.000000 for parameter 'f_err_detect' out of range
[NULL @ 0x7fc3b0c266c0] Value 4607182418800017408.000000 for parameter 'err_detect' out of range
[AVI demuxer @ 0x7fc3b0c163e0] Value 4607182418800017408.000000 for parameter 'use_odml' out of range
[NULL @ 0x7fc3b0c1e900] Value 4686111960511545344.000000 for parameter 'b' out of range
[NULL @ 0x7fc3b0c1e900] Value 4683532506232782848.000000 for parameter 'ab' out of range
[NULL @ 0x7fc3b0c1e900] Value 4705844345939427328.000000 for parameter 'bt' out of range
[NULL @ 0x7fc3b0c1e900] Value 4617315517961601024.000000 for parameter 'me_method' out of range
[NULL @ 0x7fc3b0c1e900] Value 4622945017495814144.000000 for parameter 'g' out of range
[NULL @ 0x7fc3b0c1e900] Value 4611686018427387904.000000 for parameter 'qmin' out of range
[NULL @ 0x7fc3b0c1e900] Value 4629418941960159232.000000 for parameter 'qmax' out of range
[NULL @ 0x7fc3b0c1e900] Value 4613937818241073152.000000 for parameter 'qdiff' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'wpredp' out of range
[NULL @ 0x7fc3b0c1e900] Value 4607182418800017408.000000 for parameter 'bug' out of range
[NULL @ 0x7fc3b0c1e900] Value 4607182418800017408.000000 for parameter 'er' out of range
[NULL @ 0x7fc3b0c1e900] Value 4607182418800017408.000000 for parameter 'err_detect' out of range
[NULL @ 0x7fc3b0c1e900] Value 4613937818241073152.000000 for parameter 'ec' out of range
[NULL @ 0x7fc3b0c1e900] Value 4620693217682128896.000000 for parameter 'ildctcmp' out of range
[NULL @ 0x7fc3b0c1e900] Value 4620693217682128896.000000 for parameter 'subq' out of range
[NULL @ 0x7fc3b0c1e900] Value 4696837138094751744.000000 for parameter 'ibias' out of range
[NULL @ 0x7fc3b0c1e900] Value 4696837138094751744.000000 for parameter 'pbias' out of range
[NULL @ 0x7fc3b0c1e900] Value 4642507528377204736.000000 for parameter 'lmin' out of range
[NULL @ 0x7fc3b0c1e900] Value 4660262442142531584.000000 for parameter 'lmax' out of range
[NULL @ 0x7fc3b0c1e900] Value 4696130710463840256.000000 for parameter 'flags2' out of range
[NULL @ 0x7fc3b0c1e900] Value 4607182418800017408.000000 for parameter 'threads' out of range
[NULL @ 0x7fc3b0c1e900] Value 4620693217682128896.000000 for parameter 'nssew' out of range
[NULL @ 0x7fc3b0c1e900] Value -4586705114244317184.000000 for parameter 'profile' out of range
[NULL @ 0x7fc3b0c1e900] Value -4586705114244317184.000000 for parameter 'level' out of range
[NULL @ 0x7fc3b0c1e900] Value 4623507967449235456.000000 for parameter 'skipcmp' out of range
[NULL @ 0x7fc3b0c1e900] Value 4642507528377204736.000000 for parameter 'mblmin' out of range
[NULL @ 0x7fc3b0c1e900] Value 4660262442142531584.000000 for parameter 'mblmax' out of range
[NULL @ 0x7fc3b0c1e900] Value 4643211215818981376.000000 for parameter 'mepc' out of range
[NULL @ 0x7fc3b0c1e900] Value 4607182418800017408.000000 for parameter 'bidir_refine' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'cqp' out of range
[NULL @ 0x7fc3b0c1e900] Value 4627730092099895296.000000 for parameter 'keyint_min' out of range
[NULL @ 0x7fc3b0c1e900] Value 4607182418800017408.000000 for parameter 'refs' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'directpred' out of range
[NULL @ 0x7fc3b0c1e900] Value 4618441417868443648.000000 for parameter 'sc_factor' out of range
[NULL @ 0x7fc3b0c1e900] Value 4643211215818981376.000000 for parameter 'mv0_threshold' out of range
[NULL @ 0x7fc3b0c1e900] Value 4630826316843712512.000000 for parameter 'b_sensitivity' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'compression_level' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'min_prediction_order' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'max_prediction_order' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'prediction_order_method' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'min_partition_order' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'max_partition_order' out of range
[NULL @ 0x7fc3b0c1e900] Value 4607182418800017408.000000 for parameter 'ticks_per_frame' out of range
[NULL @ 0x7fc3b0c1e900] Value 4611686018427387904.000000 for parameter 'color_primaries' out of range
[NULL @ 0x7fc3b0c1e900] Value 4611686018427387904.000000 for parameter 'color_trc' out of range
[NULL @ 0x7fc3b0c1e900] Value 4611686018427387904.000000 for parameter 'colorspace' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'aq_mode' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'rc_lookahead' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'lpc_type' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'lpc_passes' out of range
[NULL @ 0x7fc3b0c1e900] Value 4613937818241073152.000000 for parameter 'thread_type' out of range
[NULL @ 0x7fc3b0c1e900] Value -4616189618054758400.000000 for parameter 'request_sample_fmt' out of range
[avi @ 0x7fc3b0c266c0] decoding for stream 0 failed

XXX

[avi @ 0x7fc3b0c266c0] Could not find codec parameters (Video: mjpeg (MJPG / 0x47504A4D), 640x480)

kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
ALSA lib pcm.c:7339:(snd_pcm_recover) underrun occurred
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteEW6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteWS6GUW"
kdenlive(5885)/kio (KDirListerCache) KDirListerCache::slotFileDirty: "/tmp/vteJU6GUW"
kdenlive(5885)/kdecore (KConfigSkeleton) KCoreConfigSkeleton::writeConfig:
kdenlive(5885)/kio (Slave) KIO::Slave::kill: killing slave pid 5892 ( "trash://" [^] )
kdenlive(5885)/kio (Slave) KIO::Slave::kill: killing slave pid 5893 ( "file://" [^] )

(terminated by regular 'quit')

________________________________________

System:

Machine: x86_64 (AMD)
Kernel: Linux 3.2.0-2-amd64
Debian GNU/Linux 7.0 (testing / sid)

Installed packages

(AMD64 is multiarch therefore some packages are explicitly 'amd64' or 'i386' when some dependency requested that arch versin explicitly. Normally this runs fine even with parallell versions, since there is a separate 'lib' directory for each.)

-- KDE / kdenlive

kdelibs-bin 4:4.8.4-4
kdelibs5-data 4:4.8.4-4
kdelibs5-plugins 4:4.8.4-4
libqt3-mt 3:3.3.8b-11
libqt4-dbus:amd64 4:4.8.2+dfsg-11
libqt4-declarative:amd64 4:4.8.2+dfsg-11
libqt4-designer:amd64 4:4.8.2+dfsg-11
libqt4-help:amd64 4:4.8.2+dfsg-11
libqt4-network:amd64 4:4.8.2+dfsg-11
libqt4-network:i386 4:4.8.2+dfsg-10
libqt4-opengl:amd64 4:4.8.2+dfsg-11
libqt4-qt3support:amd64 4:4.8.2+dfsg-11
libqt4-script:amd64 4:4.8.2+dfsg-11
libqt4-script:i386 4:4.8.2+dfsg-10
libqt4-scripttools:amd64 4:4.8.2+dfsg-11
libqt4-sql:amd64 4:4.8.2+dfsg-11
libqt4-sql-mysql:amd64 4:4.8.2+dfsg-11
libqt4-sql-psql:amd64 4:4.8.2+dfsg-11
libqt4-sql-sqlite:amd64 4:4.8.2+dfsg-11
libqt4-svg:amd64 4:4.8.2+dfsg-11
libqt4-test:amd64 4:4.8.2+dfsg-11
libqt4-test:i386 4:4.8.2+dfsg-10
libqt4-xml:amd64 4:4.8.2+dfsg-11
libqt4-xml:i386 4:4.8.2+dfsg-10
libqt4-xmlpatterns:amd64 4:4.8.2+dfsg-11
libqtassistantclient4:amd64 4.6.3-4
libqtcore4:amd64 4:4.8.2+dfsg-11
libqtcore4:i386 4:4.8.2+dfsg-10
libqtdbus4:amd64 4:4.8.2+dfsg-11
libqtdbus4:i386 4:4.8.2+dfsg-10
libqtgui4:amd64 4:4.8.2+dfsg-11
libqtgui4:i386 4:4.8.2+dfsg-10
libqtwebkit4:amd64 2.2.1-5
kdenlive 1:0.8.2.1-0.0
kdenlive-data 1:0.8.2.1-0.0
melt 1:0.7.8-0.3
libmlt++3:amd64 1:0.7.8-0.3
libmlt-data 1:0.8.2-dmo2
libmlt4:amd64 1:0.7.8-0.3
libmlt5 0.8.0-4

-- other

libc6:amd64 2.13-38
libc6-dbg:amd64 2.13-38
libc6-dev:amd64 2.13-38
libc6-i386 2.13-38
libgl1-mesa-dri:amd64 8.0.5-4
libgl1-mesa-dri:i386 8.0.5-3
libgl1-mesa-glx:amd64 8.0.5-4
libgl1-mesa-glx:i386 8.0.5-3
libgl1-nvidia-alternatives 304.84-1
libgl1-nvidia-glx:amd64 304.84-1
libgl1-nvidia-alternatives 304.84-1
libgl1-nvidia-glx:amd64 304.84-1
libglx-nvidia-alternatives 304.84-1
nvidia-alternative 304.84-1
nvidia-installer-cleanup 20120630+3
nvidia-kernel-2.6.39-2-amd64 290.10-1+2.6.39-3
nvidia-kernel-3.2.0-2-amd64 304.84-1+3.2.18-1
nvidia-kernel-common 20120630+3
nvidia-kernel-dkms 304.84-1
nvidia-kernel-source 304.84-1
nvidia-settings 304.84-1
nvidia-support 20120630+3
nvidia-vdpau-driver:amd64 304.84-1

TagsNo tags attached.
Build/Install MethodDistribution package
Attached Files

- Relationships

-  Notes
(0009390)
tc (reporter)
2013-03-20 00:02

Oops, i just see the i386 packages are an output error. My search should list only the installed ones, but it listed also previously installed ones which are not fully removed ('deleted' instead of 'purged').

There should be no i386 packages at all on my system, anymore, since i already removed the few 'proprietary' programs that were only i386, some weeks ago. After that operation, kdenlive still worked as usual.

I will now clean up the system and report if it makes a change.
(0009391)
tc (reporter)
2013-03-20 00:10

Now any i386 package is completely removed from the system. It did not make any difference.

The cleaned list now is:

kdenlive 1:0.8.2.1-0.0
kdenlive-data 1:0.8.2.1-0.0
melt 1:0.7.8-0.3
libmlt++3:amd64 1:0.7.8-0.3
libmlt-data 1:0.8.2-dmo2
libmlt4:amd64 1:0.7.8-0.3

libc6:amd64 2.13-38
libc6-dbg:amd64 2.13-38
libc6-dev:amd64 2.13-38
libgl1-mesa-dri:amd64 8.0.5-4
libgl1-mesa-glx:amd64 8.0.5-4
libgl1-nvidia-alternatives 304.84-1
libgl1-nvidia-glx:amd64 304.84-1
libgl1-nvidia-alternatives 304.84-1
libgl1-nvidia-glx:amd64 304.84-1
libglx-nvidia-alternatives 304.84-1
nvidia-alternative 304.84-1
nvidia-installer-cleanup 20120630+3
nvidia-kernel-2.6.39-2-amd64 290.10-1+2.6.39-3
nvidia-kernel-3.2.0-2-amd64 304.84-1+3.2.18-1
nvidia-kernel-common 20120630+3
nvidia-kernel-dkms 304.84-1
nvidia-kernel-source 304.84-1
nvidia-settings 304.84-1
nvidia-support 20120630+3
nvidia-vdpau-driver:amd64 304.84-1
kdelibs-bin 4:4.8.4-4
kdelibs5-data 4:4.8.4-4
kdelibs5-plugins 4:4.8.4-4
libqt3-mt 3:3.3.8b-11
libqt4-dbus:amd64 4:4.8.2+dfsg-11
libqt4-declarative:amd64 4:4.8.2+dfsg-11
libqt4-designer:amd64 4:4.8.2+dfsg-11
libqt4-help:amd64 4:4.8.2+dfsg-11
libqt4-network:amd64 4:4.8.2+dfsg-11
libqt4-opengl:amd64 4:4.8.2+dfsg-11
libqt4-qt3support:amd64 4:4.8.2+dfsg-11
libqt4-script:amd64 4:4.8.2+dfsg-11
libqt4-scripttools:amd64 4:4.8.2+dfsg-11
libqt4-sql:amd64 4:4.8.2+dfsg-11
libqt4-sql-mysql:amd64 4:4.8.2+dfsg-11
libqt4-sql-psql:amd64 4:4.8.2+dfsg-11
libqt4-sql-sqlite:amd64 4:4.8.2+dfsg-11
libqt4-svg:amd64 4:4.8.2+dfsg-11
libqt4-test:amd64 4:4.8.2+dfsg-11
libqt4-xml:amd64 4:4.8.2+dfsg-11
libqt4-xmlpatterns:amd64 4:4.8.2+dfsg-11
libqtassistantclient4:amd64 4.6.3-4
libqtcore4:amd64 4:4.8.2+dfsg-11
libqtdbus4:amd64 4:4.8.2+dfsg-11
libqtgui4:amd64 4:4.8.2+dfsg-11
libqtwebkit4:amd64 2.2.1-5
(0009395)
tc (reporter)
2013-03-21 03:02
edited on: 2013-03-21 03:04

I tried to find a clue.

Just to be sure there's nothing screwed in the user config, i deleted the KDE session folders completely, and while at this, i also deinstalled anything KDE from the system. Then reinstalled KDE (from testing/unstable) and let the first session create the user folders from scratch.

I upgraded to 0.9.2. I tried downgrading to 0.7.x from Debian stable.

I launched kdenlive after each step and it just always was the same result - no video clip can be added.

I also tried different file formats and harddisk sources (anything wasof course readable by, for example, the video player.) But it does not make any difference (besides that flv now crashs, which seems to be 0003023).

No clue !

(please someone update reported version to 0.9.2)

(0009396)
tc (reporter)
2013-03-21 03:18

After used file /tmp/demo.mp4 for testing, several times, the dialog 'Open recent' always was inactive, but still kdenliverc contains these lines:

[KFileDialog Settings]
Height 1200=600
Recent Files[$e]=/tmp/demo.mp4,/tmp/demo.mp4
Width 1600=800

which seems a little bit screwed order to me. But maybe it does not matter.

I should add that the config wizard shows no missing modules or anything wrong.
(0009404)
tc (reporter)
2013-03-22 02:30
edited on: 2013-03-27 15:06

The KDE platform version is 4.8.4. and kdenlive v. 0.9.2.
Next i'm going to install 0.9.4 but it requires libc6 > 2.15 and i've to get that from Debian experimental. So if you don't hear from me again ... ;)

Though i checked with a full plasma desktop and it still fails, i wonder if there could be some dependencie of kdenlive that is missing (so not inculded in the package).

Somebody have any idea how i can track this down effectively ?

(0009405)
tc (reporter)
2013-03-22 02:51

ok -- upgrade done. But it does not start.

Commandline launch aborts with:

kdenlive: symbol lookup error: kdenlive: undefined symbol: _ZNK3Mlt7Profile10colorspaceEv

I guess 0.9.4 is not compatible with libc7 v. 2.17 ? But AFAIKS there is no v. 2.16 in Debian ...!

So, i'm stuck again.
(0009409)
tc (reporter)
2013-03-22 21:34
edited on: 2013-03-27 15:07

Continued as 0003026.

Addendum: It turned out to have been (most probably) a package incompatibility, see 0003026. The bug should therefore go to the package maintainers who didn't reflect that in dependencies.


- Issue History
Date Modified Username Field Change
2013-03-19 23:54 tc New Issue
2013-03-20 00:02 tc Note Added: 0009390
2013-03-20 00:10 tc Note Added: 0009391
2013-03-21 03:02 tc Note Added: 0009395
2013-03-21 03:04 tc Note Edited: 0009395 View Revisions
2013-03-21 03:18 tc Note Added: 0009396
2013-03-22 02:30 tc Note Added: 0009404
2013-03-22 02:51 tc Note Added: 0009405
2013-03-22 21:34 tc Note Added: 0009409
2013-03-27 15:06 tc Note Edited: 0009404 View Revisions
2013-03-27 15:07 tc Note Edited: 0009409 View Revisions
2013-03-30 20:44 j-b-m Status new => resolved
2013-03-30 20:44 j-b-m Fixed in Version => 0.9.4
2013-03-30 20:44 j-b-m Resolution open => fixed
2013-03-30 20:44 j-b-m Assigned To => j-b-m
2013-04-07 08:45 j-b-m Fixed in Version 0.9.4 => 0.9.6
2013-04-07 08:45 j-b-m Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker